Skip to content
Proud to collaborate with Microsoft for Startups

xero.reports.get-report-balance-sheet ​

Retrieves report for balancesheet

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-xero
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Xero API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
xero_tenant_idstringYes—Xero identifier for Tenant
datestringNo—The date of the Balance Sheet report
periodsintegerNo—The number of periods for the Balance Sheet report
timeframestringNo—The period size to compare to (MONTH, QUARTER, YEAR)
trackingoptionid1stringNo—The tracking option 1 for the Balance Sheet report
trackingoptionid2stringNo—The tracking option 2 for the Balance Sheet report
standardlayoutbooleanNo—The standard layout boolean for the Balance Sheet report
paymentsonlybooleanNo—return a cash basis for the Balance Sheet report

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Xero API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
xero_tenant_idstringYes—Xero identifier for Tenant
datestringNo—The date of the Balance Sheet report
periodsintegerNo—The number of periods for the Balance Sheet report
timeframestringNo—The period size to compare to (MONTH, QUARTER, YEAR)
trackingoptionid1stringNo—The tracking option 1 for the Balance Sheet report
trackingoptionid2stringNo—The tracking option 2 for the Balance Sheet report
standardlayoutbooleanNo—The standard layout boolean for the Balance Sheet report
paymentsonlybooleanNo—return a cash basis for the Balance Sheet report
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call GET /Reports/BalanceSheet
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform GET /Reports/BalanceSheet
* (any state)failfailedRecord the failure reason

Outcomes ​

OutcomeTypeDescriptionState Data Keys
completedSUCCESSThe provider accepted the requeststatus_code, response
failedFAILUREThe provider rejected the request or was unreachablefailure_reason, failure_type, status_code

Business Errors ​

CodeMessage Template
HTTP_AUTHENTICATION_FAILEDThe provider rejected the credential (HTTP {status_code})
HTTP_AUTHORIZATION_FAILEDThe credential is not permitted to perform this operation (HTTP {status_code})
HTTP_NOT_FOUNDThe provider has no resource at {path} (HTTP 404)
HTTP_RATE_LIMITEDThe provider rate-limited this request (HTTP 429)
HTTP_REQUEST_FAILEDThe provider returned HTTP {status_code} for {method}
HTTP_RESPONSE_SHAPE_UNEXPECTEDThe provider response for {method} {path} could not be parsed as JSON

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "xero.reports.get-report-balance-sheet",
  "initial_data": {
    "base_url": "value",
    "xero_tenant_id": "value"
  }
}